PrompticPromptic

List artifacts referenced by a trace

GET
/traces/{traceId}/artifacts

Authorization

BearerApiKey
AuthorizationBearer <token>

API key from workspace settings

In: header

Path Parameters

traceId*string

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/traces/string/artifacts"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",
      "storageObjectId": "7f5af0cf-fc95-42d7-a16f-f40e471a1b60",
      "traceDbId": "bcc7281d-b925-42a7-8484-03f5a7b15e9f",
      "spanDbId": "9c7fffc1-7007-4b3f-922e-03e982c374d9",
      "traceId": "string",
      "spanId": "string",
      "sourcePath": "string",
      "sourceField": "string",
      "source": "string",
      "mimeType": "string",
      "sizeBytes": 0,
      "sha256": "string",
      "preview": "string",
      "createdAt": "string",
      "uri": "string",
      "contentUrl": "string"
    }
  ]
}
{
  "error": "string"
}